# Stocktaking

Stocktaking

## List all stocktakings

> Lists all stocktakings for a warehouse.\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"stocktakingStatusQuery":{"description":"Reference to a stocktaking Status.","explode":false,"in":"query","name":"status","schema":{"items":{"$ref":"#/components/schemas/StocktakingStatusENUM"},"type":"array"},"style":"form"},"stocktakingTypeQuery":{"description":"Reference to an stocktaking Type.","explode":false,"in":"query","name":"type","schema":{"$ref":"#/components/schemas/StocktakingTypeENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StocktakingStatusENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NOT_STARTED | Stock counting not started|\n| IN_PROGRESS | Stock counting is in progress. Registraions can be made.|\n| COMPLETE | Stock counting is complete|\n| DELETED | Stock counting is deleted, stock not adjusted|\n| CONTROL | Stock counting is in control mode, no further registrations can be made|","enum":["NOT_STARTED","IN_PROGRESS","COMPLETE","DELETED","CONTROL"],"title":"StocktakingStatusENUM","type":"string"},"StocktakingTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Stock counting containing all productUids in tenant|\n| PARTIAL | Stock counting containing a list of specific producdIds|\n| RECOUNT | Make a new stock taking with a set of productUids to be recounted|\n","enum":["FULL","PARTIAL","RECOUNT"],"title":"StocktakingTypeENUM","type":"string"},"StocktakingResponseSchema":{"description":"Stock Counting response schema","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"status":{"$ref":"#/components/schemas/StocktakingStatusENUM"},"stocktakingUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/StocktakingTypeENUM"},"warehouseUid":{"$ref":"#/components/schemas/UID"},"withStock":{"type":"boolean"}},"required":["stocktakingUid","warehouseUid","description","withStock","type","status","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"StocktakingResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"StocktakingListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StocktakingResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings":{"get":{"description":"Lists all stocktakings for a warehouse.\n\nRequired permissions: STOCKTAKING","operationId":"get-tenants-stores-warehouses-stocktakings","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/stocktakingStatusQuery"},{"$ref":"#/components/parameters/stocktakingTypeQuery"}],"responses":{"200":{"$ref":"#/components/responses/StocktakingListResponse"}},"summary":"List all stocktakings","tags":["Stocktaking"]}}}}
```

## Create new stocktaking

> Create new stocktaking for warehouse\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"integrationToken":[]},{"authToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"}},"requestBodies":{"StocktakingCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingCreateRequestSchema"}}},"description":"Create Stock counting request"}},"schemas":{"StocktakingCreateRequestSchema":{"description":"Stock Counting request schema","title":"StocktakingCreateRequestSchema","type":"object","properties":{"description":{"type":"string"},"type":{"$ref":"#/components/schemas/StocktakingTypeENUM"},"withStock":{"default":false,"type":"boolean"},"stocktakingUid":{"$ref":"#/components/schemas/UID"}},"required":["description","type","withStock"]},"StocktakingTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Stock counting containing all productUids in tenant|\n| PARTIAL | Stock counting containing a list of specific producdIds|\n| RECOUNT | Make a new stock taking with a set of productUids to be recounted|\n","enum":["FULL","PARTIAL","RECOUNT"],"title":"StocktakingTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StocktakingResponseSchema":{"description":"Stock Counting response schema","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"status":{"$ref":"#/components/schemas/StocktakingStatusENUM"},"stocktakingUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/StocktakingTypeENUM"},"warehouseUid":{"$ref":"#/components/schemas/UID"},"withStock":{"type":"boolean"}},"required":["stocktakingUid","warehouseUid","description","withStock","type","status","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"StocktakingResponseSchema","type":"object"},"StocktakingStatusENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NOT_STARTED | Stock counting not started|\n| IN_PROGRESS | Stock counting is in progress. Registraions can be made.|\n| COMPLETE | Stock counting is complete|\n| DELETED | Stock counting is deleted, stock not adjusted|\n| CONTROL | Stock counting is in control mode, no further registrations can be made|","enum":["NOT_STARTED","IN_PROGRESS","COMPLETE","DELETED","CONTROL"],"title":"StocktakingStatusENUM","type":"string"}},"responses":{"StocktakingResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings":{"post":{"description":"Create new stocktaking for warehouse\n\nRequired permissions: STOCKTAKING","operationId":"post-tenants-stores-warehouses-stocktakings","requestBody":{"$ref":"#/components/requestBodies/StocktakingCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/StocktakingResponse"}},"summary":"Create new stocktaking","tags":["Stocktaking"]}}}}
```

## Get stocktaking details

> Get stocktaking details\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StocktakingResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingResponseSchema"}}},"description":"Example response"}},"schemas":{"StocktakingResponseSchema":{"description":"Stock Counting response schema","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"status":{"$ref":"#/components/schemas/StocktakingStatusENUM"},"stocktakingUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/StocktakingTypeENUM"},"warehouseUid":{"$ref":"#/components/schemas/UID"},"withStock":{"type":"boolean"}},"required":["stocktakingUid","warehouseUid","description","withStock","type","status","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"StocktakingResponseSchema","type":"object"},"StocktakingStatusENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NOT_STARTED | Stock counting not started|\n| IN_PROGRESS | Stock counting is in progress. Registraions can be made.|\n| COMPLETE | Stock counting is complete|\n| DELETED | Stock counting is deleted, stock not adjusted|\n| CONTROL | Stock counting is in control mode, no further registrations can be made|","enum":["NOT_STARTED","IN_PROGRESS","COMPLETE","DELETED","CONTROL"],"title":"StocktakingStatusENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StocktakingTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Stock counting containing all productUids in tenant|\n| PARTIAL | Stock counting containing a list of specific producdIds|\n| RECOUNT | Make a new stock taking with a set of productUids to be recounted|\n","enum":["FULL","PARTIAL","RECOUNT"],"title":"StocktakingTypeENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}":{"get":{"description":"Get stocktaking details\n\nRequired permissions: STOCKTAKING","operationId":"get-tenants-stores-warehouses-stocktakings-details","parameters":[],"responses":{"200":{"$ref":"#/components/responses/StocktakingResponse"}},"summary":"Get stocktaking details","tags":["Stocktaking"]}}}}
```

## Update stocktaking details

> Update stocktaking for warehouse\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"integrationToken":[]},{"authToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"}},"requestBodies":{"StocktakingUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingUpdateRequestSchema"}}},"description":"Update Stock counting request"}},"schemas":{"StocktakingUpdateRequestSchema":{"properties":{"description":{"type":"string"},"status":{"$ref":"#/components/schemas/StocktakingStatusENUM"}},"required":["description","status"],"title":"StocktakingUpdateRequestSchema","type":"object"},"StocktakingStatusENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NOT_STARTED | Stock counting not started|\n| IN_PROGRESS | Stock counting is in progress. Registraions can be made.|\n| COMPLETE | Stock counting is complete|\n| DELETED | Stock counting is deleted, stock not adjusted|\n| CONTROL | Stock counting is in control mode, no further registrations can be made|","enum":["NOT_STARTED","IN_PROGRESS","COMPLETE","DELETED","CONTROL"],"title":"StocktakingStatusENUM","type":"string"},"StocktakingResponseSchema":{"description":"Stock Counting response schema","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"status":{"$ref":"#/components/schemas/StocktakingStatusENUM"},"stocktakingUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/StocktakingTypeENUM"},"warehouseUid":{"$ref":"#/components/schemas/UID"},"withStock":{"type":"boolean"}},"required":["stocktakingUid","warehouseUid","description","withStock","type","status","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"StocktakingResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StocktakingTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Stock counting containing all productUids in tenant|\n| PARTIAL | Stock counting containing a list of specific producdIds|\n| RECOUNT | Make a new stock taking with a set of productUids to be recounted|\n","enum":["FULL","PARTIAL","RECOUNT"],"title":"StocktakingTypeENUM","type":"string"}},"responses":{"StocktakingResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}":{"put":{"description":"Update stocktaking for warehouse\n\nRequired permissions: STOCKTAKING","operationId":"put-tenants-stores-warehouses-stocktakings-details","requestBody":{"$ref":"#/components/requestBodies/StocktakingUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/StocktakingResponse"}},"summary":"Update stocktaking details","tags":["Stocktaking"]}}}}
```

## Delete a stocktaking

> Delete a stocktaking\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}":{"delete":{"description":"Delete a stocktaking\n\nRequired permissions: STOCKTAKING","operationId":"delete-tenants-stores-warehouses-stocktakings-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a stocktaking","tags":["Stocktaking"]}}}}
```

## Get a stocktaking control list

> Get a stocktaking control list\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"StocktakingControlHasDiff":{"name":"hasDiff","description":"Only return stocktaking items with diff","in":"query","required":false,"schema":{"type":"boolean"}},"StocktakingControlHasRegistrations":{"name":"hasRegistrations","description":"Only return stocktaking items with registrations","in":"query","required":false,"schema":{"type":"boolean"}}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StocktakingControlResponseSchema":{"description":"StocktakingControlResponseSchema","title":"StocktakingControlResponseSchema","type":"object","required":["createdAt","createdBy","description","totals","items","lastModifiedAt","lastModifiedBy","status","stocktakingUid","warehouseUid","withStock"],"properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"totals":{"$ref":"#/components/schemas/StocktakingControlTotalsResponseSchema"},"items":{"type":"array","items":{"$ref":"#/components/schemas/StocktakingControlItemResponseSchema"}},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"paging":{"$ref":"#/components/schemas/Paging"},"status":{"$ref":"#/components/schemas/StocktakingStatusENUM"},"stocktakingUid":{"$ref":"#/components/schemas/UID"},"warehouseUid":{"$ref":"#/components/schemas/UID"},"withStock":{"type":"boolean"}}},"StocktakingControlTotalsResponseSchema":{"title":"StocktakingControlTotalsResponseSchema","type":"object","required":["productsWithPositiveDiffCount","positiveDiffAmount","productsWithNegativeDiffCount","negativeDiffAmount","stockValueAtStart","stockValueRegistered"],"properties":{"productsWithPositiveDiffCount":{"type":"integer"},"positiveDiffAmount":{"type":"integer"},"productsWithNegativeDiffCount":{"type":"integer"},"negativeDiffAmount":{"type":"integer"},"stockValueAtStart":{"type":"integer"},"stockValueRegistered":{"type":"integer"}}},"StocktakingControlItemResponseSchema":{"title":"StocktakingControlItemResponseSchema","type":"object","required":["costPrice","brandName","createdAt","createdBy","name","note","productGroupName","productUid","quantityDiff","quantityRegistered","quantityStock","sku","stocktakingItemUid"],"properties":{"costPrice":{"type":"integer"},"brandName":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"name":{"type":"string"},"note":{"type":"string"},"productGroupName":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"quantityDiff":{"description":"differenece between quantityStock and quantityRegistered","type":"integer"},"quantityRegistered":{"description":"Registered quantity","type":"integer"},"quantityStock":{"description":"Quantity in stock before registering","type":"integer"},"sku":{"type":"string"},"stocktakingItemUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"StocktakingStatusENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NOT_STARTED | Stock counting not started|\n| IN_PROGRESS | Stock counting is in progress. Registraions can be made.|\n| COMPLETE | Stock counting is complete|\n| DELETED | Stock counting is deleted, stock not adjusted|\n| CONTROL | Stock counting is in control mode, no further registrations can be made|","enum":["NOT_STARTED","IN_PROGRESS","COMPLETE","DELETED","CONTROL"],"title":"StocktakingStatusENUM","type":"string"}},"responses":{"StocktakingControlResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingControlResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/control":{"get":{"description":"Get a stocktaking control list\n\nRequired permissions: STOCKTAKING","operationId":"get-tenants-stores-warehouses-stocktakings-control","parameters":[{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/StocktakingControlHasDiff"},{"$ref":"#/components/parameters/StocktakingControlHasRegistrations"}],"responses":{"200":{"$ref":"#/components/responses/StocktakingControlResponse"}},"summary":"Get a stocktaking control list","tags":["Stocktaking"]}}}}
```

## Get item list for a stocktaking

> Get item list for a stocktaking\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StocktakingItemSchema":{"description":"Items in a stocktaking","title":"StocktakingItemSchema","type":"object","required":["createdAt","createdBy","lastModifiedAt","lastModifiedBy","note","product","serialnumbers","stocktakingItemUid"],"properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"note":{"type":"string"},"product":{"$ref":"#/components/schemas/StocktakingItemProductSchema"},"serialnumbers":{"type":"array","items":{"type":"string"}},"stocktakingItemUid":{"$ref":"#/components/schemas/UID"}}},"StocktakingItemProductSchema":{"description":"Items in a stocktaking","title":"StocktakingItemProductSchema","type":"object","required":["brandName","gtins","name","productGroupName","productUid","serialNoRequired","sku"],"properties":{"brandName":{"type":"string"},"gtins":{"type":"array","items":{"type":"string"}},"name":{"type":"string"},"productGroupName":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"serialNoRequired":{"$ref":"#/components/schemas/SerialNoRequiredENUM"},"sku":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SerialNoRequiredENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NO | No Serial number required|\n| ON_SALE | Can register serial number when selling a product (Serial number is optional)|\n| ON_RECEIVE | Must register serial number when receiving and selling product (Serial number is required)|","enum":["NO","ON_SALE","ON_RECEIVE"],"title":"SerialNoRequiredENUM","type":"string"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"StocktakingItemListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StocktakingItemSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items":{"get":{"description":"Get item list for a stocktaking\n\nRequired permissions: STOCKTAKING","operationId":"get-tenants-stores-warehouses-stocktakings-items","parameters":[{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"}],"responses":{"200":{"$ref":"#/components/responses/StocktakingItemListResponse"}},"summary":"Get item list for a stocktaking","tags":["Stocktaking"]}}}}
```

## Add productUids to a stocktaking

> Add productUids to a stocktaking\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"integrationToken":[]},{"authToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"}},"requestBodies":{"StocktakingItemListCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingItemListCreateRequestSchema"}}}}},"schemas":{"StocktakingItemListCreateRequestSchema":{"title":"StocktakingItemListCreateRequestSchema","type":"object","properties":{"productUids":{"description":"List of productUids to be added to a stocktaking","items":{"$ref":"#/components/schemas/UID"},"type":"array"}},"required":["productUids"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StocktakingItemSchema":{"description":"Items in a stocktaking","title":"StocktakingItemSchema","type":"object","required":["createdAt","createdBy","lastModifiedAt","lastModifiedBy","note","product","serialnumbers","stocktakingItemUid"],"properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"note":{"type":"string"},"product":{"$ref":"#/components/schemas/StocktakingItemProductSchema"},"serialnumbers":{"type":"array","items":{"type":"string"}},"stocktakingItemUid":{"$ref":"#/components/schemas/UID"}}},"StocktakingItemProductSchema":{"description":"Items in a stocktaking","title":"StocktakingItemProductSchema","type":"object","required":["brandName","gtins","name","productGroupName","productUid","serialNoRequired","sku"],"properties":{"brandName":{"type":"string"},"gtins":{"type":"array","items":{"type":"string"}},"name":{"type":"string"},"productGroupName":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"serialNoRequired":{"$ref":"#/components/schemas/SerialNoRequiredENUM"},"sku":{"type":"string"}}},"SerialNoRequiredENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NO | No Serial number required|\n| ON_SALE | Can register serial number when selling a product (Serial number is optional)|\n| ON_RECEIVE | Must register serial number when receiving and selling product (Serial number is required)|","enum":["NO","ON_SALE","ON_RECEIVE"],"title":"SerialNoRequiredENUM","type":"string"}},"responses":{"StocktakingItemListCreateResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StocktakingItemSchema"},"type":"array"}},"required":["items"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items":{"post":{"description":"Add productUids to a stocktaking\n\nRequired permissions: STOCKTAKING","operationId":"post-tenants-stores-warehouses-stocktakings-items","requestBody":{"$ref":"#/components/requestBodies/StocktakingItemListCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/StocktakingItemListCreateResponse"}},"summary":"Add productUids to a stocktaking","tags":["Stocktaking"]}}}}
```

## Get an item on a stocktaking

> Get an item on a stocktaking\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StocktakingItemResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingItemSchema"}}}}},"schemas":{"StocktakingItemSchema":{"description":"Items in a stocktaking","title":"StocktakingItemSchema","type":"object","required":["createdAt","createdBy","lastModifiedAt","lastModifiedBy","note","product","serialnumbers","stocktakingItemUid"],"properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"note":{"type":"string"},"product":{"$ref":"#/components/schemas/StocktakingItemProductSchema"},"serialnumbers":{"type":"array","items":{"type":"string"}},"stocktakingItemUid":{"$ref":"#/components/schemas/UID"}}},"StocktakingItemProductSchema":{"description":"Items in a stocktaking","title":"StocktakingItemProductSchema","type":"object","required":["brandName","gtins","name","productGroupName","productUid","serialNoRequired","sku"],"properties":{"brandName":{"type":"string"},"gtins":{"type":"array","items":{"type":"string"}},"name":{"type":"string"},"productGroupName":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"serialNoRequired":{"$ref":"#/components/schemas/SerialNoRequiredENUM"},"sku":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SerialNoRequiredENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NO | No Serial number required|\n| ON_SALE | Can register serial number when selling a product (Serial number is optional)|\n| ON_RECEIVE | Must register serial number when receiving and selling product (Serial number is required)|","enum":["NO","ON_SALE","ON_RECEIVE"],"title":"SerialNoRequiredENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}":{"get":{"description":"Get an item on a stocktaking\n\nRequired permissions: STOCKTAKING","summary":"Get an item on a stocktaking","tags":["Stocktaking"],"responses":{"200":{"$ref":"#/components/responses/StocktakingItemResponse"}},"operationId":"get-tenants-stores-warehouses-stocktakings-items-details"}}}}
```

## Update an item on a stocktaking

> Update note on a stock taking item\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StocktakingItemResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingItemSchema"}}}}},"schemas":{"StocktakingItemSchema":{"description":"Items in a stocktaking","title":"StocktakingItemSchema","type":"object","required":["createdAt","createdBy","lastModifiedAt","lastModifiedBy","note","product","serialnumbers","stocktakingItemUid"],"properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"note":{"type":"string"},"product":{"$ref":"#/components/schemas/StocktakingItemProductSchema"},"serialnumbers":{"type":"array","items":{"type":"string"}},"stocktakingItemUid":{"$ref":"#/components/schemas/UID"}}},"StocktakingItemProductSchema":{"description":"Items in a stocktaking","title":"StocktakingItemProductSchema","type":"object","required":["brandName","gtins","name","productGroupName","productUid","serialNoRequired","sku"],"properties":{"brandName":{"type":"string"},"gtins":{"type":"array","items":{"type":"string"}},"name":{"type":"string"},"productGroupName":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"serialNoRequired":{"$ref":"#/components/schemas/SerialNoRequiredENUM"},"sku":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SerialNoRequiredENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NO | No Serial number required|\n| ON_SALE | Can register serial number when selling a product (Serial number is optional)|\n| ON_RECEIVE | Must register serial number when receiving and selling product (Serial number is required)|","enum":["NO","ON_SALE","ON_RECEIVE"],"title":"SerialNoRequiredENUM","type":"string"},"StocktakingItemUpdateSchema":{"description":"Update a stocktaking item","title":"StocktakingItemUpdateSchema","type":"object","required":["note"],"properties":{"note":{"type":"string"}}}},"requestBodies":{"StocktakingItemUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingItemUpdateSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}":{"put":{"summary":"Update an item on a stocktaking","tags":["Stocktaking"],"responses":{"200":{"$ref":"#/components/responses/StocktakingItemResponse"}},"operationId":"put-tenants-stores-warehouses-stocktakings-items-details","description":"Update note on a stock taking item\n\nRequired permissions: STOCKTAKING","requestBody":{"$ref":"#/components/requestBodies/StocktakingItemUpdateRequest"}}}}}
```

## Delete an item from a stocktaking

> Delete an item from a stocktaking with all registrations\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}":{"delete":{"operationId":"delete-tenants-stores-warehouses-stocktakings-items-details","description":"Delete an item from a stocktaking with all registrations\n\nRequired permissions: STOCKTAKING","responses":{"204":{"description":"No Content"}},"summary":"Delete an item from a stocktaking","tags":["Stocktaking"]}}}}
```

## Get all registrations for a stocktaking item

> Get all registrations for a stocktaking item\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StocktakingRegistrationResponseSchema":{"description":"Schema for a stocktaking registration","title":"StocktakingRegistrationResponseSchema","type":"object","required":["stocktakingRegistrationUid","createdAt","createdBy","quantity","serialnumber","note"],"properties":{"stocktakingRegistrationUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"quantity":{"type":"integer"},"serialnumber":{"type":"string"},"note":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"StocktakingRegistrationListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StocktakingRegistrationResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}/registrations":{"get":{"description":"Get all registrations for a stocktaking item\n\nRequired permissions: STOCKTAKING","operationId":"get-tenants-stores-warehouses-stocktakings-items-registrations","parameters":[{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"}],"responses":{"200":{"$ref":"#/components/responses/StocktakingRegistrationListResponse"}},"summary":"Get all registrations for a stocktaking item","tags":["Stocktaking"]}}}}
```

## Make a stocktaking registration

> A stocktaking registration can only be done while stocktaking has status \`IN\_PROGRESS\`.\
> \
> Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"StocktakingRegistrationRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingRegistrationRequestSchema"}}},"description":"StocktakingRegistrationRequest"}},"schemas":{"StocktakingRegistrationRequestSchema":{"description":"Schema for a list of stocktaking registrations","properties":{"items":{"items":{"$ref":"#/components/schemas/StocktakingRegistrationItemRequestSchema"},"type":"array"}},"required":["items"],"title":"StocktakingRegistrationRequestSchema","type":"object"},"StocktakingRegistrationItemRequestSchema":{"description":"Schema for a stocktaking registration","title":"StocktakingRegistrationItemRequestSchema","type":"object","required":["productUid","quantity"],"properties":{"productUid":{"$ref":"#/components/schemas/UID"},"quantity":{"type":"integer"},"serialnumber":{"type":"string"},"note":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/register":{"post":{"operationId":"post-tenants-stores-warehouses-stocktakings-register","description":"A stocktaking registration can only be done while stocktaking has status `IN_PROGRESS`.\n\nRequired permissions: STOCKTAKING","requestBody":{"$ref":"#/components/requestBodies/StocktakingRegistrationRequest"},"responses":{"204":{"description":"OK"}},"summary":"Make a stocktaking registration","tags":["Stocktaking"]}}}}
```

## Download stocktaking report

> Report for a COMPLETE Stocktaking\
> &#x20;  &#x20;

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StocktakingReportResponse":{"content":{"application/pdf":{"schema":{"format":"binary","type":"string"}},"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet":{"schema":{"format":"binary","type":"string"}}},"description":"Example response"}},"parameters":{"StocktakingControlHasDiff":{"name":"hasDiff","description":"Only return stocktaking items with diff","in":"query","required":false,"schema":{"type":"boolean"}},"StocktakingControlHasRegistrations":{"name":"hasRegistrations","description":"Only return stocktaking items with registrations","in":"query","required":false,"schema":{"type":"boolean"}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/download":{"get":{"summary":"Download stocktaking report","tags":["Stocktaking"],"responses":{"200":{"$ref":"#/components/responses/StocktakingReportResponse"}},"operationId":"get-complete-stocktaking-report","description":"Report for a COMPLETE Stocktaking\n    ","parameters":[{"$ref":"#/components/parameters/StocktakingControlHasDiff"},{"$ref":"#/components/parameters/StocktakingControlHasRegistrations"}]}}}}
```
